<f:comment>
    Bookmark with purpose field
    - Image
    - Purpose
    - Bodytext
    - Link
</f:comment>
<div class="c-flyout   js-flyout" xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers">
    <div class="c-flyout__body   js-toggle-visible is-in-viewport">
        <f:form pageUid="{data.link}" action="form" objectName="donation" extensionName="frsdrkdonations"
                pluginName="donation"
                controller="Donation">
            <f:form.hidden property="purpose" value="{data.purpose}"/>
            <f:form.hidden property="advertisingCode" value="{data.advertising_code}"/>
            <div class="c-flyout__content">
                <div class="o-media o-media--stacked">
                    <figure class="o-media__img">
                        <f:render partial="Copyright" arguments="{media: files.0}"/>
                        <f:if condition="{files.0.uid}">
                            <f:then>
                                <f:image treatIdAsReference="true"
                                         src="{files.0.uid}"
                                         alt="{files.0.originalResource.alternative}"
                                         title="{files.0.originalResource.title}"/>
                            </f:then>
                            <f:else>
                                <!-- No image given -->
                            </f:else>
                        </f:if>
                    </figure>
                    <div class="o-media__body">
                        <h4>{data.title}</h4>
                        <f:format.raw>{data.bodytext}</f:format.raw>
                    </div>
                </div>
            </div>
            <div class="c-flyout__foot c-flyout__foot--borderless">
                <f:if condition="{data.link}">
                    <f:form.button class="c-flyout__action">
                        <svg role="img"
                             aria-label="{data.linktext}"
                             class="c-flyout__action-icon sprite sprite-small-icon">
                            <use
                                    xlink:href="typo3conf/ext/drk_template2016/Resources/Public/Images/svg/spritemap.svg#sprite-arrow-right"></use>
                            <title class="h-sr-only">{data.linktext}</title>
                        </svg>
                        <span class="c-flyout__action-text">{data.linktext}</span>
                    </f:form.button>
                </f:if>
            </div>
        </f:form>
    </div>
</div>
